%global srcname typing_extensions
%global pypi_name typing-extensions

Name:           python-%{pypi_name}
Version:        4.13.2
Release:        %mkrel 1
Summary:        Python Typing Extensions
Group:		Development/Python
License:        Python
URL:            https://pypi.org/project/typing-extensions/
Source0:        %{pypi_source}
Patch1:         typing_extensions-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Typing Extensions - Backported and Experimental Type Hints for Python

The typing module was added to the standard library in Python 3.5 on a
provisional basis and will no longer be provisional in Python 3.7.
However, this means users of Python 3.5 - 3.6 who are unable to upgrade will not
be able to take advantage of new types added to the typing module, such as
typing.Text or typing.Coroutine.

The typing_extensions module contains both backports of these changes as well as
experimental types that will eventually be added to the typing module, such as
Protocol.

Users of other Python versions should continue to install and use the typing
module from PyPi instead of using this one unless specifically writing code that
must be compatible with multiple Python versions or requires experimental types.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typing Extensions - Backported and Experimental Type Hints for Python

The typing module was added to the standard library in Python 3.5 on a
provisional basis and will no longer be provisional in Python 3.7.
However, this means users of Python 3.5 - 3.6 who are unable to upgrade will not
be able to take advantage of new types added to the typing module, such as
typing.Text or typing.Coroutine.

The typing_extensions module contains both backports of these changes as well as
experimental types that will eventually be added to the typing module, such as
Protocol.

Users of other Python versions should continue to install and use the typing
module from PyPi instead of using this one unless specifically writing code that
must be compatible with multiple Python versions or requires experimental types.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Tue Apr 15 2025 daviddavid <daviddavid> 4.13.2-1.mga10
+ Revision: 2175683
- new version: 4.13.2

* Fri Feb 21 2025 neoclust <neoclust> 4.12.2-2.mga10
+ Revision: 2150289
- Rebuild against python 3.13

* Tue Jul 02 2024 papoteur <papoteur> 4.12.2-1.mga10
+ Revision: 2078987
- new version 4.12.2

* Thu Mar 28 2024 papoteur <papoteur> 4.10.0-1.mga10
+ Revision: 2052966
- new version 4.10.0

* Sun Dec 17 2023 papoteur <papoteur> 4.8.0-3.mga10
+ Revision: 2018622
- rebuild for python 3.12
- new {paquet[1]}

* Thu Dec 07 2023 wally <wally> 4.8.0-2.mga10
+ Revision: 2014868
- rebuild for py3.12
- BR pyproject-rpm-macros
- new version 4.8.0

* Thu Aug 31 2023 daviddavid <daviddavid> 4.7.1-1.mga10
+ Revision: 1982837
- new version: 4.7.1

* Sun Sep 18 2022 wally <wally> 4.2.0-2.mga9
+ Revision: 1889799
- obsolete python3-typing_extensions pkg

* Wed Sep 07 2022 neoclust <neoclust> 4.2.0-1.mga9
+ Revision: 1885361
- New version  4.2.0

* Tue Mar 29 2022 umeabot <umeabot> 4.0.1-2.mga9
+ Revision: 1832567
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 4.0.1-1.mga9
+ Revision: 1772189
- new version 4.0.1
- switch to pyproject build
- rebuild for python3.10

* Sun Oct 03 2021 wally <wally> 3.10.0.2-1.mga9
+ Revision: 1748669
- new version 3.10.0.2

* Mon Mar 15 2021 wally <wally> 3.7.4.3-1.mga9
+ Revision: 1703413
- new version 3.7.4.3
- rebuild for python 3.9

* Sat Sep 07 2019 wally <wally> 3.7.4-2.mga8
+ Revision: 1438103
- rebuild for python3.8
- update testsuite BRs
+ tv <tv>
- fix BR on 32bit, we really need some nice provide in python testsuite
- imported package python-typing-extensions


* Wed Jul 17 2019 Thierry Vignaud <tv@mageia.org> 3.7.4-1.mga8
- import from FC

* Fri Jul 12 2019 Jonny Heggheim <hegjon@gmail.com> - 3.7.4-1
- Updated to 3.7.4

* Sun Mar 31 2019 Jonny Heggheim <hegjon@gmail.com> - 3.7.2-1
- Inital packaging
